Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class RegressionMeasure

    java.lang.Object
      nl.liacs.subdisc.RegressionMeasure

    public class RegressionMeasure

extends java.lang.Object

Field Summary
`static int` | `itsType`

Constructor Summary
`RegressionMeasure(int theType, Column thePrimaryColumn, Column theSecondaryColumn)`
`RegressionMeasure(RegressionMeasure theBase, java.util.BitSet theMembers)`

Method Summary
`void` | `addObservation(DataPoint theObservation)`
`void` | `addObservation(float theY, float theX)` Add a new datapoint to this measure, where the Y-value is the target variable.
`double` | `calculate(Subgroup theNewSubgroup)`
`double` | `getBaseFunctionValue(double theX)`
`double` | `getCorrelation()` Computes and returns the correlation given the observations contained by CorrelationMeasure
`double` | `getEvaluationMeasureValue()`
`double` | `getIntercept()`
`int` | `getNrBoundFive()`
`int` | `getNrBoundFour()`
`int` | `getNrBoundSeven()`
`int` | `getNrBoundSix()`
`int` | `getNrRankDef()`
`DataPoint` | `getObservation(int theIndex)`
`int` | `getSampleSize()`
`double` | `getSlope()`
`double` | `getSSD()`
`double` | `getXSquaredSum()`
`double` | `getXSum()`
`double` | `getXYSum()`
`double` | `getYSquaredSum()`
`double` | `getYSum()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itsType

    public static int itsType

Constructor Detail

### RegressionMeasure

    public RegressionMeasure(int theType,
                             Column thePrimaryColumn,
                             Column theSecondaryColumn)

### RegressionMeasure

    public RegressionMeasure(RegressionMeasure theBase,
                             java.util.BitSet theMembers)

Method Detail

### getEvaluationMeasureValue

    public double getEvaluationMeasureValue()

### getSSD

    public double getSSD()

### calculate

    public double calculate(Subgroup theNewSubgroup)

### addObservation

    public void addObservation(float theY,
                               float theX)

  Add a new datapoint to this measure, where the Y-value is the target variable. Always call update() after all datapoints have been added.

  Parameters:
    `theY` - the Y-value, the target
    `theX` - the X-value

### addObservation

    public void addObservation(DataPoint theObservation)

### getObservation

    public DataPoint getObservation(int theIndex)

### getSampleSize

    public int getSampleSize()

### getXSum

    public double getXSum()

### getYSum

    public double getYSum()

### getXYSum

    public double getXYSum()

### getXSquaredSum

    public double getXSquaredSum()

### getYSquaredSum

    public double getYSquaredSum()

### getCorrelation

    public double getCorrelation()

  Computes and returns the correlation given the observations contained by CorrelationMeasure

  Returns:
    the computed correlation

### getSlope

    public double getSlope()

### getIntercept

    public double getIntercept()

### getBaseFunctionValue

    public double getBaseFunctionValue(double theX)

### getNrBoundSeven

    public int getNrBoundSeven()

### getNrBoundSix

    public int getNrBoundSix()

### getNrBoundFive

    public int getNrBoundFive()

### getNrBoundFour

    public int getNrBoundFour()

### getNrRankDef

    public int getNrRankDef()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD